<?php
error_reporting(0); 
include("../../config/ht.php");
session_start();
if(!isset($_SESSION['adminname'])){echo "<script>alert('请重新登录!')</script><script>top.location.href='/$htlj/'</script>";exit;}
$adminname=$_SESSION['adminname'];
$type="where name='$adminname'";
$adminpd=queryall(admin,$type);
if(!$adminpd){echo "<script>alert('请重新登录!')</script><script>top.location.href='/$htlj/'</script>";exit;}
if($adminpd[qx]=='超级管理员'){}else{echo "<script>alert('无权限')</script><script>top.location.href='/$htlj/'</script>";exit;}
$type = "order by id DESC limit 0,1";
$adlist=queryall(adlist,$type);
if ($adlist[id]==null){
$id="1";
}else{
$id=$adlist[id]+1;
}
?>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<meta charset="gb2312">
<title>广告位</title>
<meta name="renderer" content="webkit">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="format-detection" content="telephone=no">
<link rel="stylesheet" href="/layui/css/layui.css" media="all" />
<link rel="stylesheet" href="/2019newui/houtai/css/font-awesome.min.css" media="all" />
<link rel="stylesheet" href="/2019newui/houtai/css/admin.css" media="all">
<link rel="stylesheet" href="/2019newui/houtai/css/peizhi.css" media="all">
<script src="/2019newui/js/jquery.min.js"></script>
<script src="/layui/layui.js"></script>
<script src="/2019newui/js/bootstrap.min.js"></script>
<style type="text/css">
#tooltip{position:absolute;border:1px solid #ccc;background:#333;padding:2px;display:none;color:#fff;}
</style>
</head>
<body style="padding:10px;">
<div class="tplay-body-div">
<?php
$sql = mysql_query("SELECT * FROM adlist");
$bs = mysql_num_rows($sql);
?>
<fieldset class="layui-elem-field layui-field-title" style="margin-top: 30px;"><legend>广告位(<?php if($bs==null){?>0<?php }else{?><?php echo $bs?><?php }?> 个)</legend></fieldset>
<div class="layui-tab layui-tab-brief">
<div class="layui-tab-content">
<div class="layui-form-item">
<div class="layui-inline">
<a class="layui-btn layui-btn-normal addNews_btn pub_btn" data-toggle="modal" data-target="#myPublic2">添加广告</a>
</div>
</div>
</div> 
<table class="layui-table" >
<thead>
<tr>
<th style="text-align:center;width:34px;" >勾选</th>
<th style="text-align:center;">大图图片</th>
<th style="text-align:center;">跳转地址</th>
</tr> 
</thead>
<tbody>
<?php 
$Page_size=18; 
$sql = "WHERE 1=1";
$resul = mysql_query("select id from adlist   ".$sql."  ");
$count = mysql_num_rows($resul); 
if($count == 0){echo '<tr><td colspan=15 style="text-align:center;">没有记录</td></tr>';}
$Page_count = ceil($count/$Page_size); 
$init=1; 
$Page_len=7; 
$max_p=$Page_count; 
$Pages=$Page_count; 
if(empty($_GET['page'])||$_GET['page']<0){ 
$Page=1; 
}else { 
$Page=$_GET['page']; 
} 
$offset=$Page_size*($Page-1); 
$query = mysql_query("select * from  adlist   ".$sql." order by id desc   limit $offset, $Page_size");
while ($a=mysql_fetch_array($query)) { 
?> 	
<tr>
<td>
<label class="demo--label2"><input class="demo--radio" type="checkbox"   name="ids[]" id="ck-<?php echo $a['id']?>" value="<?php echo $a['id']?>" ><span class="demo--checkbox demo--radioInput"></span></label>
</td>
<td  style="text-align:center;"><img src='<?php echo $a['pic']?>'  style="width: 20%;" ></td>
<td  style="text-align:center;"><?php echo $a['url']?></td>
</tr>
<?php 
} 
$page_len = ($page_len%2)?$page_len:$pagelen+1;//页码个数 
$pageoffset = ($page_len-1)/2;//页码个数左右偏移量 
if($page!=1){ 
$keyt.="<a href=\""."/htadpage/1/\">首页</a>"; //首页 
$keyt.="<a href=\""."/htadpage/".($page-1)."/\">上一页 </a>"; //上一页 
}else { 
$keyt.="<p>首页</p>"; //首页 
$keyt.="<p>上一页 </p>"; //上一页  
} 
if($pages>$page_len){ 
//如果当前页小于等于左偏移 
if($page<=$pageoffset){ 
$init=1; 
$max_p = $page_len; 
}else{//如果当前页大于左偏移 
//如果当前页码右偏移超出最大分页数 
if($page+$pageoffset>=$pages+1){ 
$init = $pages-$page_len+1; 
}else{ 
//左右偏移都存在时的计算 
$init = $page-$pageoffset; 
$max_p = $page+$pageoffset; 
} 
} 
} 
for($i=$init;$i<=$max_p;$i++){ 
if($i==$page){ 
$keyt.='<a class="cur">'.$i.'</a>'; 
} else { 
$keyt.="<a href=\""."/htadpage/".$i."/\">".$i."</a>"; 
} 
} 
if($page!=$pages){ 
$keyt.="<a href=\""."/htadpage/".($page+1)."/\">下一页 </a> ";//下一页 
$keyt.="<a href=\""."/htadpage/{$pages}/\">尾页</a> "; //最后一页 
}else { 
$keyt.="<p>下一页 </p>";//下一页 
$keyt.="<p>尾页</p>"; //最后一页 
} 
$keyt.="<p class='pageRemark' >当前第 <b>$page</b> 页/共 <b>$pages</b> 页  共 <b>$count</b> 条数据 </p>"; //第几页,共几页 
?> 
<?php if($count =="0"){?>
<?php }else{?>
<tr>
<td  colspan="18" style="text-align:left;padding-left:20px;" >
<a class="btn btn-success btn-xs chk-all" href="#" role="button">全选</a>  
<a class="btn btn-danger btn-xs unchk-all" href="#" role="button">全不选</a>
<a class="btn  btn-success  btn-xs btn-jiage paysc"  role="button">批量删除</a>
</td>
</tr>
<?php }?>
</tbody>
</table>
<div style="padding:0 20px;">
<div class="pagination">
<?php if($count =="0"){?><?php }else{?><?php echo $keyt?><?php }?>
</div>
</div>
</div>
<script>
layui.use(['form', 'layedit', 'laydate', 'element', 'jquery', 'layer'], function(){
var form = layui.form
,layer   = layui.layer
,layedit = layui.layedit
,element = layui.element
,$= layui.jquery
,laydate = layui.laydate;
});
</script>
<?php if($count =="0"){?>
<?php }else{?>
<script>
$(document).on('click', '.chk-all', function(event) {
event.preventDefault();
$('input[name="ids[]"]').prop('checked', 'checked');
});
$(document).on('click', '.unchk-all', function(event) {
event.preventDefault();
$('input[name="ids[]"]').prop('checked', false);
});
$(document).on('click', '.paysc', function(event) {
event.preventDefault();
var _ids = '';
$.each($('input[name="ids[]"]:checked'), function(index, val) {
_ids += $(val).val()+',';
});
if (_ids == '') {
layer.msg('请选择ID');
return false;
}
layer.open({
title: '请输入安全码',
area: '220px',
shade: 0.8,
content: '<div class="mark"><div style="margin: 0px 0px 10px 1px;"><span><input type="text" value=""  id="aqm" style="width: 88%;height:30px;" placeholder="安全码" ><br><br><div>请输入安全码，以保证数据安全</div></div></div>',
btn: ['确认'],
shadeClose: false,
yes: function(){
var aqm = $("#aqm").val();
if (aqm == '') {
layer.msg('请输入安全码');
return false;
}
var index = layer.load(3, {
shade: [0.1,'#fff'] 
});
$.ajax({
type : "post",
url : "/htpost<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {id: _ids,aqm:aqm, lx: 'adsc'},
timeout: 10000 ,
success : function(data){
if(data.zt=='1'){  
layer.closeAll('loading');
layer.msg('批量删除成功');
location.reload();
}else{
layer.closeAll('loading');
layer.msg(data.msg);
location.reload();
} 
},
error:function(){
}
});
},
});
});
</script>
<?php }?>
<script type="text/javascript">
$('.pub_btn').on('click', function () {
})
$(function () {
$("#pub_btn").click(function () {
var name = $("#name").val();
var url = $("#url").val();
var pd = $("#pd").val();
if (name == '') {
layer.msg('广告名称不能为空');
return false;
}
if (url == '') {
layer.msg('广告地址不能为空');
return false;
}
if (pd == '') {
layer.msg('请先上传广告图片');
return false;
}
var index = layer.load(3, {
shade: [0.1,'#fff'] 
});
$.ajax({
type : "post",
url : "/htpost<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {name:name,url:url, lx: 'adadd',id:'<?php echo $id?>'},
timeout: 10000 ,
success : function(data){
if(data.zt=='1'){  
layer.closeAll('loading');
layer.msg('添加成功');
location.reload();
}else{
layer.closeAll('loading');
layer.msg(data.msg);

} 
},
error:function(){
}
});
});
})
</script>
<div class="modal fade" id="myPublic2" tabindex="-1" role="dialog" aria-labelledby="myPublicLabel">
<div class="modal-dialog" role="document">
<div class="modal-content">
<div class="modal-header">
<input type="hidden" name="pd"  id="pd">
<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
<h4 class="modal-title" id="myModalLabel">添加广告</h4>
</div>
<div class="modal-body">
<div class="form-group">
<button type="button" class="layui-btn layui-btn-danger layui-input" id="userAvatar" style="margin-left:0px;"><i class="layui-icon">&#xE64A;</i>上传广告图片</button>
</div>
<div class="form-group">
<label  class="control-label">广告名称</label>
<input type="text"  class="layui-input" id="name" placeholder="输入广告名称" required >
</div>
<div class="form-group">
<label  class="control-label">广告地址</label>
<input type="text"  class="layui-input" id="url" placeholder="请输入广告地址，推广地址" >
</div>
<div class="modal-footer">
<button type="button" class="btn btn-default" data-dismiss="modal">取消</button>
<button type="button" id="pub_btn" class="btn btn-primary">确认</button>
</div>
</div>
</div>
</div>
</div>
<script>
layui.use(['form', 'layedit', 'laydate', 'element', 'jquery', 'upload'], function(){
var form = layui.form
,layer   = layui.layer
,layedit = layui.layedit
,element = layui.element
,upload  = layui.upload
,$       = layui.jquery
,laydate = layui.laydate;
upload.render({
elem: '#userAvatar'
,url: '/adpic<?php echo $dshz?>?id=<?php echo $id?>'
,size: 500
,done: function(res){
if(res.status=='true'){
layer.msg("上传成功");
$("#pd").val(res.img);
}
}
});
});
</script>
</body>
</html>